Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737175 - Multi-arch support
Summary: Multi-arch support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Evan Cordell
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-03 11:51 UTC by Evan Cordell
Modified: 2019-10-16 06:34 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:34:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 236 0 None closed Bug 1737175: Do not hardcode GOOS/GOARCH 2021-01-21 03:38:31 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:34:53 UTC

Description Evan Cordell 2019-08-03 11:51:10 UTC
Description of problem:

Hardcoded GOOS and GOARCH prevent multi-arch builds.

Comment 2 Fan Jia 2019-08-12 06:00:27 UTC
test env:
cv: 4.2.0-0.nightly-2019-08-10-002649
marketplace :quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:52a8be2309984fd5358e1d0b6fb28c64026cefc58a24ec23be7bdd61930f44eb

test result:
marketplace function is still ok after deleting the goos and goarch parameters.

Comment 3 errata-xmlrpc 2019-10-16 06:34:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.